package com.hrsk.cloud.op.client.api;

import com.hrsk.cloud.op.client.dto.CaptchaDTO;
import com.hrsk.pangu.dto.SingleResponse;

/**
 * @author: bianlanzhou
 * @create: 2024-10-11 11:46
 * @description: 系统服务
 **/
public interface AuthService {
    /**
     * 获取图片验证码
     * @return 验证码
     */
    SingleResponse<CaptchaDTO> imageCaptcha();

    /**
     * 校验验证码
     * @param code 编码
     * @param uuid UUID
     * @return 验证结果
     */
    SingleResponse<Boolean> validateCaptcha(String code,String uuid);

}
