package com.hrsk.cloud.op.client.dto;

import lombok.Data;

import java.util.Date;

/**
 * @author: bianlanzhou
 * @create: 2024-10-29 14:08
 * @description: 接出API通道数据传输类
 **/
@Data
public class EgressApiChannelDTO {
    /**
     * 主键
     */
    private Long id;
    /**
     * apiId
     */
    private Long apiId;
    /**
     * API类型
     */
    private String apiType;
    /**
     * API名称
     */
    private String apiName;
    /**
     * 通道名称
     */
    private String channelName;
    /**
     * 通道名称
     */
    private String channelCode;
    /**
     * 集成方式
     */
    private String integrationMode;
    /**
     * 创建时间
     */
    private Date gmtCreate;
    /**
     * 修改时间
     */
    private Date gmtModify;
    /**
     * 请求配置
     */
    private String requestConfig;
    /**
     * 响应配置
     */
    private String responseConfig;
}
