package com.hrsk.cloud.op.client.dto;

import com.hrsk.pangu.dto.DTO;
import lombok.Data;

/**
 * @author: bianlanzhou
 * @create: 2024-10-18 15:20
 * @description: 系统部门
 **/
@Data
public class SysDeptDTO extends DTO {
    /** 部门ID */
    private Long id;

    /** 父部门ID */
    private Long parentId;

    /** 祖级列表 */
    private String ancestors;

    /** 部门名称 */
    private String deptName;

    /** 显示顺序 */
    private Integer orderNum;

    /** 负责人 */
    private String leader;

    /** 联系电话 */
    private String phone;

    /** 邮箱 */
    private String email;

    /** 部门状态 */
    private String status;

    /** 父部门名称 */
    private String parentName;
}
