package com.hrsk.cloud.op.client.dto;

import com.hrsk.pangu.dto.DTO;
import lombok.Data;

/**
 * @author: bianlanzhou
 * @create: 2024-10-18 15:20
 * @description: 系统角色
 **/
@Data
public class SysRoleDTO extends DTO {
    /** 角色ID */
    private Long id;

    /** 角色名称 */
    private String roleName;

    /** 角色权限 */
    private String roleKey;

    /** 角色排序 */
    private Integer roleSort;

    /** 数据范围 */
    private String dataScope;

    /** 菜单树选择项是否关联显示（ 0：父子不互相关联显示 1：父子互相关联显示） */
    private boolean menuCheckStrictly;

    /** 部门树选择项是否关联显示（0：父子不互相关联显示 1：父子互相关联显示 ） */
    private boolean deptCheckStrictly;
}
