package com.hrsk.cloud.op.client.dto.command;

import lombok.Data;

/**
 * @author: bianlanzhou
 * @create: 2024-10-23 11:38
 * @description: api channel 创建CMD
 **/
@Data
public class EgressApiChannelUpsertCmd {
    /**
     * 主键
     */
    private Long id;
    /**
     * API ID
     */
    private Long apiId;
    /**
     * 通道名称
     */
    private String channelName;
    /**
     * 通道编码
     */
    private String channelCode;
    /**
     * 集成方式
     */
    private String integrationMode;
    /**
     * http请求配置
     */
    private String requestConfig;
    /**
     * http响应配置
     */
    private String responseConfig;
}
