package com.hrsk.cloud.op.client.dto.command;

import com.hrsk.pangu.dto.Command;
import lombok.Data;

/**
 * @author: bianlanzhou
 * @create: 2024-10-15 15:47
 * @description: 用户登录CMD
 **/
@Data
public class UserLoginCmd extends Command {
    /**
     * 验证码
     */
    private String captcha;
    /**
     * 验证码的UUID
     */
    private String uuid;
    /**
     * 用户名
     */
    private String username;
    /**
     * 密码
     */
    private String password;

}
