package com.hrsk.cloud.op.infrastructure.common;

import lombok.Getter;

/**
 * @author: bianlanzhou
 * @create: 2024-10-11 11:27
 * @description: 验证码类型枚举
 **/
@Getter
public enum CaptchaTypeEnum {
    IMAGE("IMAGE","图片验证码");
    /**
     * 编码
     */
    private String code;
    /**
     * 值
     */
    private String value;

    /**
     * 构造函数
     * @param code 编码
     * @param value 值
     */
    CaptchaTypeEnum(String code, String value) {
        this.code = code;
        this.value = value;
    }
}
