package com.hrsk.cloud.op.infrastructure.repository.database.mysql.dao;

import com.hrsk.cloud.op.infrastructure.repository.database.mysql.entity.SysUserDO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

/**
 * @author: bianlanzhou
 * @create: 2024-10-17 11:13
 * @description: 系统用户DAO
 **/
@Repository
@Mapper
public interface SysUserDao {
    /**
     * 通过用户名查询用户
     * @param userName
     * @return
     */
    SysUserDO selectUserByUserName(String userName);
}

