package com.hrsk.cloud.op.infrastructure.repository.database.mysql.entity;

import lombok.Data;

/**
 * @author: bianlanzhou
 * @create: 2024-10-17 11:25
 * @description: 系统角色DO
 **/
@Data
public class SysRoleDO extends BaseDO{

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private Long id;

    /** 角色名称 */
    private String roleName;

    /** 角色权限 */
    private String roleKey;

    /** 角色排序 */
    private Integer roleSort;

    /** 数据范围（1：所有数据权限；2：自定义数据权限；3：本部门数据权限；4：本部门及以下数据权限；5：仅本人数据权限） */
    private String dataScope;

    /** 菜单树选择项是否关联显示（ 0：父子不互相关联显示 1：父子互相关联显示） */
    private boolean menuCheckStrictly;

    /** 部门树选择项是否关联显示（0：父子不互相关联显示 1：父子互相关联显示 ） */
    private boolean deptCheckStrictly;

    /** 角色状态（0正常 1停用） */
    private String status;
}
