package com.hrsk.cloud.op.adapter.controller.common;

import com.baomidou.mybatisplus.core.toolkit.CollectionUtils;
import com.hrsk.cloud.op.client.dto.MerchantDTO;
import com.hrsk.pangu.dto.AntDMultiResponse;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author: bianlanzhou
 * @create: 2024-10-28 16:00
 * @description: 商户Controller
 **/
@RestController
@RequestMapping("/merchant")
public class MerchantController {
    @GetMapping("/list")
    public AntDMultiResponse<MerchantDTO> list(){
        List<MerchantDTO> merchants = CollectionUtils.toList(new MerchantDTO(10000L,"优逸客"),new MerchantDTO(10001L,"信业帮"));
        return AntDMultiResponse.of(merchants);
    }
}
