package com.hrsk.cloud.op.adapter.controller.system;

import com.hrsk.cloud.op.client.api.SysUserService;
import com.hrsk.cloud.op.client.dto.SysUserDTO;
import com.hrsk.cloud.op.client.dto.command.SysUserQry;
import com.hrsk.pangu.dto.AntDMultiResponse;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;

/**
 * @author: bianlanzhou
 * @create: 2024-10-21 18:22
 * @description:
 **/
@RestController
@RequestMapping("/system/user")
public class SysUserController {
    @Resource
    private SysUserService sysUserService;

    @GetMapping("/list")
    public AntDMultiResponse<SysUserDTO> list(SysUserQry sysUserQry){
        List<SysUserDTO> list = sysUserService.querySysUser(sysUserQry);
        return AntDMultiResponse.of(list);
    }
}
