package com.hrsk.cloud.op.app.egress;

import com.github.pagehelper.Page;
import com.github.pagehelper.PageHelper;
import com.hrsk.cloud.op.app.egress.executor.EgressApiChannelQryExe;
import com.hrsk.cloud.op.client.api.EgressApiChannelService;
import com.hrsk.cloud.op.client.dto.EgressApiDTO;
import com.hrsk.cloud.op.client.dto.EgressApiChannelDTO;
import com.hrsk.cloud.op.client.dto.command.EgressApiChannelUpsertCmd;
import com.hrsk.cloud.op.client.dto.command.EgressApiChannelQry;
import com.hrsk.pangu.dto.MultiResponse;
import com.hrsk.pangu.dto.PageResponse;
import com.hrsk.pangu.dto.SingleResponse;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

/**
 * @author: bianlanzhou
 * @create: 2024-10-23 13:33
 * @description: 接出通道服务实现
 **/
@Service
public class EgressApiChannelServiceImpl implements EgressApiChannelService {
    @Resource
    private EgressApiChannelQryExe egressApiChannelQryExe;

    @Override
    public SingleResponse<Long> create(EgressApiChannelUpsertCmd egressApiChannelUpsertCmd) {
        return null;
    }

    @Override
    public PageResponse<EgressApiChannelDTO> page(EgressApiChannelQry egressApiChannelQry) {
        Page<EgressApiDTO> page = PageHelper.startPage(egressApiChannelQry.getCurrent(), egressApiChannelQry.getPageSize());
        return PageResponse.of(egressApiChannelQryExe.execute(egressApiChannelQry),page.getTotal(),page.getPageSize(),page.getPageNum());
    }

    @Override
    public MultiResponse<EgressApiChannelDTO> list(EgressApiChannelQry egressApiChannelQry) {
        return MultiResponse.of(egressApiChannelQryExe.execute(egressApiChannelQry));
    }
}
