package com.hrsk.cloud.op.client.api;

import java.util.Set;

/**
 * @author: bianlanzhou
 * @create: 2024-10-17 09:25
 * @description:
 **/
public interface SysMenuService {
    /**
     * 通过RoleID获取
     * @param roleId roleID
     * @return 权限字符串
     */
    Set<String> selectMenuPermsByRoleId(Long roleId);

    /**
     * 通过userID获取菜单权限
     * @param userId
     * @return
     */
    Set<String> selectMenuPermsByUserId(Long userId);
}
