package com.hrsk.cloud.op.client.dto;

import com.hrsk.pangu.dto.DTO;
import lombok.Data;

/**
 * @author: bianlanzhou
 * @create: 2024-10-11 11:33
 * @description: 验证码
 **/
@Data
public class CaptchaDTO extends DTO {
    /**
     * UUID
     */
    private String uuid ;
    /**
     * image byte string
     */
    private String img;
    /**
     * 类型：image/sms
     */
    private String type;
    /**
     * 验证码
     */
    private String code;

    /**
     * 默认构造函数
     */
    public CaptchaDTO() {
    }

    /**
     * 构造函数
     * @param uuid ref:uuid
     * @param img ref:img
     * @param type ref:type
     * @param code ref:code
     */
    public CaptchaDTO(String uuid, String img, String type, String code) {
        this.uuid = uuid;
        this.img = img;
        this.type = type;
        this.code = code;
    }
}
