package com.hrsk.cloud.op.client.dto;

import com.hrsk.pangu.dto.DTO;
import lombok.Data;

import java.util.List;
import java.util.Set;

/**
 * @author: bianlanzhou
 * @create: 2024-10-18 15:16
 * @description: 当前登录用户
 **/
@Data
public class CurrentLoginUserDTO extends DTO {
    /**
     * ID
     */
    private Long id;
    /**
     * 用户名
     */
    private String username;
    /**
     * 昵称
     */
    private String nickName;
    /**
     * 部门ID
     */
    private String deptId;
    /**
     * 头像
     */
    private String avatar;
    /**
     * 登录IP
     */
    private String loginIp;
    /**
     * 权限
     */
    private Set<String> permissions;
    /**
     * 所属部门
     */
    private SysDeptDTO sysDept;
    /**
     * 角色
     */
    private List<SysRoleDTO> roles;
}
