package com.hrsk.cloud.op.client.dto;

import com.hrsk.pangu.dto.DTO;
import lombok.Data;

import java.util.Date;

/**
 * @author: bianlanzhou
 * @create: 2024-10-21 14:40
 * @description: 接出API DTO
 **/
@Data
public class EgressApiDTO extends DTO {
    /** ID **/
    private Long id;
    /**
     * API名称
     */
    private String apiName;
    /**
     * API编码
     */
    private String apiCode;
    /**
     * API类型
     */
    private String apiType;
    /**
     * 创建人名称
     */
    private String createUsername;
    /**
     * 创建时间
     */
    private Date gmtCreate;
    /**
     * 修改人名称
     */
    private String modifyUsername;
    /**
     * 修改时间
     */
    private Date gmtModify;
    /**
     * 技术负责人
     */
    private String techOwnerUsername;
    /**
     * 技术负责ID
     */
    private Long techOwnerUserid;
    /**
     * 备注
     */
    private String memo;
    /**
     * 状态
     */
    private String status;
}
