package com.hrsk.cloud.op.client.dto;

import lombok.Data;

import java.util.List;

/**
 * @author: bianlanzhou
 * @create: 2024-10-27 17:46
 * @description: http配置
 **/
@Data
public class HttpConfigDTO {
    /**
     * 地址
     */
    private String url;
    /**
     * 方法
     */
    private String method;
    /**
     * http header
     */
    private List<ValueObjectDTO> header;
    /**
     * path
     */
    private List<ValueObjectDTO> path;
    /**
     * query
     */
    private List<ValueObjectDTO> query;
    /**
     * 请求体body
     */
    private String body;
}
