package com.hrsk.cloud.op.client.dto;

import lombok.Data;

/**
 * @author: bianlanzhou
 * @create: 2024-10-22 09:58
 * @description: 操作人
 **/
@Data
public class Operator {
    /**
     * 构造函数
     */
    public Operator() {
    }

    /**
     * 构造函数
     * @param id ID
     * @param username 用户名
     */
    public Operator(Long id, String username) {
        this.id = id;
        this.username = username;
    }

    /**
     * ID
     */
    private Long id;
    /**
     * 姓名
     */
    private String username;
}
