package com.hrsk.cloud.op.client.dto.command;

import com.hrsk.cloud.op.client.dto.EgressApiLoanDTO;
import lombok.Data;

/**
 * @author: bianlanzhou
 * @create: 2024-10-27 17:34
 * @description: 助贷接出API创建CMD
 **/
@Data
public class EgressApiLoanCrtCmd {
    /**
     * ID
     */
    private Long id;

    /**
     * API表主键
     */
    private Long apiId;
    /**
     * 助贷API信息
     */
    private EgressApiLoanDTO apiLoanInfo;
    /**
     * 撞库通道
     */
    private EgressApiChannelUpsertCmd checkinto;
    /**
     * 申请通道
     */
    private EgressApiChannelUpsertCmd apply;

}
