package com.hrsk.cloud.op.client.dto.command;

import com.hrsk.pangu.dto.Command;
import lombok.Data;

/**
 * @author: bianlanzhou
 * @create: 2024-10-21 14:40
 * @description: 接出API DTO
 **/
@Data
public class EgressApiUpsertCmd extends Command {
    /**
     * ID
     */
    private Long id;
    /**
     * API名称
     */
    private String apiName;
    /**
     * API编码
     */
    private String apiCode;
    /**
     * API类型
     */
    private String apiType;
    /**
     * 技术负责人
     */
    private Long techOwnerUserid;
    /**
     * 技术负责人名称
     */
    private String techOwnerUsername;
    /**
     * 备注
     */
    private String memo;
}
