package com.hrsk.cloud.op.domain.common;

import lombok.Getter;

/**
 * @author: bianlanzhou
 * @create: 2024-10-15 10:10
 * @description: 错误码枚举
 **/
@Getter
public enum ErrorCodeEnum {
    OK("000000","操作成功!"),
    FAIL("-999999","操作失败!");

    private String code;

    private String message;

    /**
     * 构造函数
     * @param code 编码
     * @param message 消息
     */
    ErrorCodeEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }


}
