package com.hrsk.cloud.op.domain.system;

import lombok.Getter;

/**
 * @author: bianlanzhou
 * @create: 2024-10-15 14:01
 * @description: 用户状态枚举
 **/
@Getter
public enum SysUserStatusEnum {
    OK("ok","正常"),
    DELETE("delete","已删除"),
    DEACTIVATE("deactivate","已停用");
    /**
     * 编码
     */
    private String code;
    /**
     * 描述
     */
    private String desc;

    /**
     * 构造函数
     * @param code 编码
     * @param desc 描述
     */
    SysUserStatusEnum(String code, String desc) {
        this.code = code;
        this.desc = desc;
    }
}
