package com.hrsk.cloud.op.infrastructure.repository.database.mysql.dao;

import com.hrsk.cloud.op.infrastructure.repository.database.mysql.entity.EgressApiChannelDO;
import org.apache.ibatis.annotations.Mapper;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * @author: bianlanzhou
 * @create: 2024-10-29 17:01
 * @description: egress_api_channel 表DAO
 **/
@Repository
@Mapper
public interface EgressApiChannelDao {
    /**
     * 查询egress_api_channel
     * @param egressApiChannelDO 条件
     * @return egress_api_channel列表
     */
    List<EgressApiChannelDO> selectEgressApiChannel(EgressApiChannelDO egressApiChannelDO);
}
