package com.hrsk.cloud.op.infrastructure.repository.database.mysql.entity;

import lombok.Data;

import java.io.Serializable;
import java.util.Date;

/**
 * @author: bianlanzhou
 * @create: 2024-09-03 09:13
 * @description: 数据库基础数据对象
 **/
@Data
public class BaseDO implements Serializable {

    private static final long serialVersionUID = 1L;
    /**
     * 主键
     */
    private Long id;
    /**
     * 创建人ID
     */
    private Long createUserid;
    /**
     * 创建名称
     */
    private String createUsername;
    /**
     * 创建时间
     */
    private Date gmtCreate;
    /**
     * 修改人ID
     */
    private Long modifyUserid;
    /**
     * 修改人名称
     */
    private String modifyUsername;
    /**
     * 修改时间
     */
    private Date gmtModify;
    /**
     * 状态
     */
    private String status;

//    /**
//     * 通过用户ID和用户名称创建
//     * @param username 用户名
//     * @param userId 用户ID
//     * @return baseDo
//     */
//    private BaseDO from(String username,Long userId){
//        this.createUserid = userId;
//        this.createUsername = username;
//        this.modifyUserid = userId;
//        this.modifyUsername = username;
//        return this;
//    }
}
