package com.hrsk.cloud.op.infrastructure.repository.database.mysql.entity;

import lombok.Data;

/**
 * @author: bianlanzhou
 * @create: 2024-10-17 11:23
 * @description: 系统部门实体
 **/
@Data
public class SysDeptDO extends BaseDO{

    private static final long serialVersionUID = 1L;

    /** 部门ID */
    private Long id;

    /** 父部门ID */
    private Long parentId;

    /** 祖级列表 */
    private String ancestors;

    /** 部门名称 */
    private String deptName;

    /** 显示顺序 */
    private Integer orderNum;

    /** 负责人 */
    private String leader;

    /** 联系电话 */
    private String phone;

    /** 邮箱 */
    private String email;

    /** 部门状态 */
    private String status;

    /** 父部门名称 */
    private String parentName;
}
